/**
  ******************************************************************************
  * @file    DALI_Comandos.h 
  * @author  Pascual mMrtinez Perez
  * @version V1.0
  * @date    12-Mayo-2016
  * @brief   
  ******************************************************************************
  * Comandos DALI
  *
  ******************************************************************************
  */
  
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef DALI_COMANDOS
#define DALI_COMANDOS

/* Includes ------------------------------------------------------------------*/
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/

//comandos de control lampara
#define OFF 0x00
#define UP 0x01
#define DOWN 0x02
#define STEP_UP 0x03
#define STEP_DOWN 0x04
#define RECALL_MAX_LEVEL 0x05
#define RECALL_MIN_LEVEL 0x06
#define STEP_DOWN_AND_OFF 0x07
#define ON_AND_STEP_UP 0x08
#define GO_TO_SCENE 0x10
// Comandos generales
#define RESET 0x20
#define STORE_ACTUAL_LEVEL_IN_THE_DTR 0x21
// Comandos parametros
#define STORE_THE_DTR_AS_MAX_LEVEL 0x2A
#define STORE_THE_DTR_AS_MIN_LEVEL 0x2B
#define STORE_THE_DTR_AS_SYSTEM_FAILURE_LEVEL 0x2C
#define STORE_THE_DTR_AS_POWER_ON_LEVEL 0x2D
#define STORE_THE_DTR_AS_FADE_TIME 0x2E
#define STORE_THE_DTR_AS_FADE_RATE 0x2F
#define STORE_THE_DTR_AS_SCENE 0x40
// Comandos parametros sistema
#define REMOVE_FROM_SCENE 0x50
#define ADD_TO_GROUP 0x60
#define REMOVE_FROM_GROUP 0x70
#define STORE_DTR_AS_SHORT_ADDRESS 0x80
// Comandos de consultas
#define QUERY_STATUS 0x90
#define QUERY_BALLAST 0x91
#define QUERY_LAMP_FAILURE 0x92
#define QUERY_LAMP_POWER_ON 0x93
#define QUERY_LIMIT_ERROR 0x94
#define QUERY_RESET_STATE 0x95
#define QUERY_MISSING_SHORT_ADDRESS 0x96
#define QUERY_VERSION_NUMBER 0x97
#define QUERY_CONTENT_DTR 0x98
#define QUERY_DEVICE_TYPE 0x99
#define QUERY_PHYSICAL_MINIMUM_LEVEL 0x9A
#define QUERY_POWER_FAILURE 0x9B
// comandos consultas Lamparas parametros
#define QUERY_ACTUAL_LEVEL 0xA0
#define QUERY_MAX_LEVEL 0xA1
#define QUERY_MIN_LEVEL 0xA2
#define QUERY_POWER_ON_LEVEL 0xA3
#define QUERY_SYSTEM_FAILURE_LEVEL 0xA4
#define QUERY_FADE 0xA5
// Comandos consulta sistema parametros
#define QUERY_SCENE_LEVEL 0xB0
#define QUERY_GROUPS_0_7 0xC0
#define QUERY_GROUPS_8_15 0xC1
#define QUERY_RANDOM_ADDRESS_H 0xC2
#define QUERY_RANDOM_ADDRESS_M 0xC3
#define QUERY_RANDOM_ADDRESS_L 0xC4
// Comando de fin proceso
#define TERMINATE 0xA1
// Descarga informacion
#define DATA_TRANSFER_REGISTER 0xA3
// Comandos de direccionamiento
#define INITIALISE 0xA5
#define RANDOMISE 0xA7
#define COMPARE 0xA9
#define WITHDRAW 0xAB
#define SEARCHADDRH 0xB1
#define SEARCHADDRM 0xB3
#define SEARCHADDRL 0xB5
#define PROGRAM_SHORT_ADDRESS 0xB7
#define VERIFY_SHORT_ADDRESS 0xB9
#define QUERY_SHORT_ADDRESS 0xBB
#define PHYSICAL_SELECTION 0xBD

#define DIRECT_ARC_POWER 0xFE



/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */



#endif /*  DALI_COMANDOS*/
