/**
  ******************************************************************************
  * @file    main.c 
  * @author  Pascual Martinez Perez
  * @version V1.0
  * @date    12-Mayo-2016
  * @brief   
  ******************************************************************************
  *
  *
  ******************************************************************************
  */  

/* Includes ------------------------------------------------------------------*/
#include "main.h" 
#include "DALI_Master.h" 
#include "DALI.h" 
 


/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
unsigned char direccion; // direccion DALI 
unsigned char comando; // comando DALI
unsigned char respuesta; // respuesta DALI 
unsigned char error; // codigo error
unsigned int flag; // Nos indica los eventos

/* Private function prototypes -----------------------------------------------*/

/* Private functions ---------------------------------------------------------*/


/**
  * @brief  Main program 
  * @param  None
  * @retval None
  */
int main(void)
{ 

  //inicio variables
  direccion = 0x00; 
  comando = 0x00; 
  respuesta = 0x00; 
  error = 0x00; 
  flag = 0x00; 
  
  //inicio de elementos
  Inicio_Placa();
  Inicio_Dali();
   
  
  //Encendemos los leds y los apagamos.
  leds_Saludo();
  
  //Bucle  infinito
  while(1)
  {
  
    // NEW_DATA flag 
    if (flag & NEW_DATA)
    {
        flag &= ~NEW_DATA; // Clear NEW_DATA flag
        //Pensado para llamada para visualizar el resultado
    }
    
    // SEND_DATA flag 
    if (flag & SEND_DATA)
    {
      flag &= ~SEND_DATA; // Clear SEND_DATA flag
      TX_Datos_Dali();  // Envio de comando
    }
   
    // ANSWER_EVENT flag 
    if (flag & ANSWER_EVENT)
    {
        flag &= ~ANSWER_EVENT; // Clear ANSWER_EVENT flag
        RX_Datos_Dali();  //Recepcion de la respuesta 
        
    }
    // ERROR_EVENT flag 
    if (flag & ERROR_EVENT)
    {
      flag &= ~ERROR_EVENT; // Clear ERROR_EVENT flag
                            //Control de errores
     }
    
  }//Fin while infinito
}//Fin main




#ifdef USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */

/**
  * @}
  */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
